# 关于Nuxt的初始化

- 命令

```bash
npm init nuxt

npm create nuxt <项目名称>
```

- 创建目录 `nuxi add`

```bash
npx nuxi add <TEMPLATE> <NAME> [--cwd=<directory>] [--logLevel=<silent|info|verbose>] [--force]
# <TEMPLATE> 指定要生成的模板 <api | plugin | component | composable | middleware | layout | page | layer>
# <NAME> 指定生成的文件的名称
# --cwd=<directory> 指定工作目录 默认为:.
# --logLevel=<silent|info|verbose> 指定构建时日志级别
# --force 强制覆盖文件 (如果已存在) 默认为:false
```

- npm script运行到浏览器

```bash
"dev": "nuxt dev --open --host localhost"
```